Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153740 - https/ssl support for streaming media
Summary: https/ssl support for streaming media
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xmms
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact:
URL: http://bugs.xmms.org/show_bug.cgi?id=...
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 15:27 UTC by Ola Thoresen
Modified: 2008-05-07 00:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:07:51 UTC


Attachments (Terms of Use)

Description Ola Thoresen 2005-04-05 15:27:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
The last patch at the mentioned bugzilla entry seems to work.
Please include this in xmms, and I will continue pushing upstream.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open xmms
2. Add an url starting with https:// to the paylist
3. Click play
  

Actual Results:  Nothing...

Expected Results:  Music should sound from my speakers

Additional info:

Most things should be noted in the original bugzilla for xmms

Comment 1 John (J5) Palmieri 2005-04-14 20:37:56 UTC
xmms has moved to extras 

Comment 2 Ola Thoresen 2005-04-15 07:38:38 UTC
I know, but xmms is not a valid component in Fedora Extras.
(This should maybe be filed as a bug against bugzilla itself?)

Comment 3 Marius Andreiana 2005-11-02 11:05:57 UTC
Moving to extras.

Comment 4 Paul F. Johnson 2007-01-03 00:09:07 UTC
AIUI, you should not be able to play from a https source unless you've provided
a valid username/password combination.

That said, netxmms or Webxmms may be able to sort out this problem.

Comment 5 Ola Thoresen 2007-01-03 08:03:49 UTC
The only thing needed for https is a certificate.  Although https usually is
combined with some kind of login-service, there is no direct need for a username
or password to make use of https.

There is a patch in the original (upstream) bug referenced, but I have not
checked lately if it has been merged.
 

Comment 6 Bug Zapper 2008-04-03 16:04:11 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 00:07:49 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.